package cn.fw.dalaran.common.annotation;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.lang.annotation.*;

/**
 * 登录上下文属性注解
 * <p>
 * create at 2020-08-27
 *
 * @author xiatian
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LoginContextField {
    /**
     * 属性名称
     */
    Name value();

    /**
     * 属性名称枚举
     */
    @AllArgsConstructor
    enum Name {
        /**
         * 用户id
         */
        USER_ID("userId"),
        /**
         * 用户名称
         */
        USER_NAME("userName"),
        /**
         * 集团id
         */
        GROUP_ID("groupId"),
        /**
         * 登录时间
         */
        LOGIN_TIME("loginTime");

        /**
         * 字段代码
         */
        @Getter
        private final String code;
    }
}
