package cn.fw.dalaran.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 线程池参数
 *
 * @author lym
 * @date 2023/04/28
 */
@Data
@ConfigurationProperties(prefix = "thread")
public class ThreadTemplateVal {
    /**
     * 核心线程数量
     */
    private Integer corePoolSize;
    /**
     * 最大线程数量
     */
    private Integer maxPoolSize;
    /**
     * 队列长度
     */
    private Integer queueCapacity;
    /**
     * 存活时间
     */
    private Integer keepAliveSeconds;
    /**
     * 线程名称前缀
     */
    private String prefixName;
}
