package cn.fw.dalaran.common.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * 待办参数
 *
 * @author : Devin
 * Date: 2020/9/4
 * Time: 14:56
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
public class ToDoDto {
    /**
     * 待办编码
     */
    private String todoCode;
    /**
     * 员工id
     */
    private Long userId;
    /**
     * 数据项id
     */
    private String dataId;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 角色码
     */
    private String roleCode;
    /**
     * 待办计划时间
     */
    protected Date planTime;
    /**
     * 到期时间
     */
    private Date expireTime;
    /**
     * 待办完成时间
     */
    private Date commitTime;
    /**
     * 动态消息
     */
    @Builder.Default
    private Map<String, String> dynamicMap = new HashMap<>();
    /**
     * 扩展参数
     */
    @Builder.Default
    private Map<String, Object> extraData = new HashMap<>();
}
