package cn.fw.dalaran.common.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;
import java.util.Objects;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/11/13 15:10
 * @Description 活动主题变更类型枚举
 */
@Getter
@AllArgsConstructor
public enum ThemeChangeTypeEnum {
    FIRST_CONFIG(1, "首次配置"),
    ADD_TOPIC(2, "增加话题"),
    ADD_COVER(3, "增加封面"),
    CHANGE_TIME_RANGE(4, "活动主题时间范围变更"),
    THEME_DEL(0, "活动被删除"),
    ERROR(-1, "无此枚举对象");

    private final Integer type;// 类型
    private final String desc;// 描述

    public ThemeChangeTypeEnum ofType(Integer type) {
        for (ThemeChangeTypeEnum value : ThemeChangeTypeEnum.values()) {
            if (Objects.equals(type, value.getType()))
                return value;
        }
        return ERROR;
    }

    public static List<ThemeChangeTypeEnum> getHaveChangeEnum() {
        return Arrays.asList(ADD_TOPIC, ADD_COVER, CHANGE_TIME_RANGE);
    }
}
