package cn.fw.dalaran.common.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 待办任务执行情况
 *
 * @author : Devin
 * Date: 2020/9/4
 * Time: 15:46
 */
@Getter
@AllArgsConstructor
public enum ToDoStatusEnum {
    UN_HANDLE(1, "待处理"),
    FAIL(2, "执行失败"),
    SUCCESS(3, "执行成功");

    private Integer value;
    private String desc;

    public static Boolean isValid(Integer value) {
        return Arrays.stream(ToDoStatusEnum.values())
                .anyMatch(e -> e.getValue().equals(value));
    }

    public static ToDoStatusEnum valueOf(Integer value) {
        return Arrays.stream(ToDoStatusEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findFirst()
                .orElse(null);
    }
}
