package cn.fw.dalaran.common.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 待办类型
 *
 * @author : Devin
 * Date: 2020/9/4
 * Time: 15:46
 */
@Getter
@AllArgsConstructor
public enum ToDoTypeEnum {
    ADD(0, "新增"),
    COMPLETE(1, "完成"),
    CANCEL(2, "取消");

    private final Integer value;
    private final String desc;

    public static Boolean isValid(Integer value) {
        return Arrays.stream(ToDoTypeEnum.values())
                .anyMatch(e -> e.getValue().equals(value));
    }

    public static ToDoTypeEnum valueOf(Integer value) {
        return Arrays.stream(ToDoTypeEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findFirst()
                .orElse(null);
    }
}
