package cn.fw.dalaran.common.domain.enums;

import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.Getter;

/**
 * 待办类型
 * <p>
 * create at 2020-09-01
 *
 * @author xiatian
 */
@Getter
public enum TodoCodeEnum {
    /**
     * 账号失效待办编码
     */
    ACCOUNT_INVALID("xiOMX9KlMg", "账号失效待办编码"),
    /**
     * 直播审查待办编码
     */
    CHECK_LIVE("TwOTCvzS8v", "直播审查待办编码"),
    /**
     * 账号配置确认
     */
    ACCOUNT_CONFIG_CONFIRM("vpxnElC0Vv", "账号配置确认"),
    /**
     * 账号配置超期干预
     */
    ACCOUNT_CONFIG_INTERVENE("ajYOauFjMq", "账号配置确认超期干预"),
    /**
     * 自媒体活动主题完成进度
     */
    NEED_JOIN_THEME("UDS3JTyBF6", "自媒体活动主题完成进度"),
    /**
     * 自媒体活动主题变更
     */
    THEME_CHANGE("gIuqwBl6au", "自媒体活动主题变更"),
    ;

    /**
     * 待办项编码
     */
    @Getter
    private final String code;

    /**
     * 名称
     */
    @Getter
    private final String name;


    TodoCodeEnum(final String code, final String name) {
        this.code = code;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static TodoCodeEnum ofValue(final String code) {
        for (final TodoCodeEnum codeEnum : TodoCodeEnum.values()) {
            if (codeEnum.code.equals(code)) {
                return codeEnum;
            }
        }
        return null;
    }
}
