package cn.fw.dalaran.common.domain.pojo;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 报表日期类型枚举
 * <p>
 * create at 2019-07-24
 *
 * @author zhangjj
 */
@AllArgsConstructor
public enum DateType {
    DAILY(10, "日"),
    MONTHLY(20, "月"),
    YEARLY(30, "年"),

    RANGE(40, "区间");


    @Getter
    @JsonValue
    private final Integer value;
    @Getter
    private final String desc;

    @JsonCreator
    public static DateType ofValue(final Integer value) {
        for (final DateType instance : DateType.values()) {
            if (instance.getValue().equals(value)) {
                return instance;
            }
        }
        return null;
    }
}
