package cn.fw.dalaran.common.exception;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.stream.Stream;

/**
 * @author Devin
 * @date 2019/8/19 10:16
 */
@Getter
@AllArgsConstructor
public enum IgnoreLevel {
    NONE(1, "不屏蔽"),
    REQUEST(2, "请求入参"),
    RETURN(3, "请求出参"),
    ALL(4, "所有");

    private final Integer value;
    private final String desc;


    public static Boolean isValid(Integer value) {
        return Stream.of(IgnoreLevel.values())
                .anyMatch(item -> item.getValue().equals(value));
    }

    public static IgnoreLevel valueOf(Integer value) {
        return Stream.of(IgnoreLevel.values())
                .filter(item -> item.getValue().equals(value))
                .findFirst()
                .orElse(null);
    }
}
