package cn.fw.dalaran.common.exception;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.stream.Stream;

/**
 * 干预类型
 *
 * @author: lym
 * @date: 2023/5/24
 */
@Getter
@AllArgsConstructor
public enum InterveneTypeEnum {
    ACCOUNT_CONFIRM("gHSZf6", "账号配置确认干预"),
    ;

    private final String value;
    private final String desc;


    public static Boolean isValid(Integer value) {
        return Stream.of(IgnoreLevel.values())
                .anyMatch(item -> item.getValue().equals(value));
    }

    public static IgnoreLevel valueOf(Integer value) {
        return Stream.of(IgnoreLevel.values())
                .filter(item -> item.getValue().equals(value))
                .findFirst()
                .orElse(null);
    }
}
