package cn.fw.dalaran.common.exception;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 系统异常枚举
 *
 * @author Devin
 * @since 2018-12-04
 */
@Getter
@AllArgsConstructor
public enum RoleCodeEnum {

    XSGW("XSGW", "新车销售", 0),
    XSZG("XSZG", "新车销售一级管理", 1),
    XSJL("XSJL", "新车销售二级管理", 2),
    XSZJL("XSZJL", "新车销售三级管理", 3),
    XSSJGL("XSSJGL", "新车销售四级管理", 4),
    ;

    private String code;
    private String desc;
    private Integer level;

    public static Boolean isValid(String code) {
        return Arrays.stream(RoleCodeEnum.values())
                .anyMatch(e -> e.getCode().equals(code));
    }

    public static RoleCodeEnum codeOf(String code) {
        return Arrays.stream(RoleCodeEnum.values())
                .filter(e -> e.getCode().equals(code))
                .findFirst()
                .orElse(null);
    }
}
