package cn.fw.dalaran.common.myValidator.annotation;

import cn.fw.dalaran.common.myValidator.checkImpl.AssignBigDecimalValueConstraintValidator;
import cn.fw.dalaran.common.myValidator.checkImpl.AssignDoubleValueConstraintValidator;
import cn.fw.dalaran.common.myValidator.checkImpl.AssignIntValueConstraintValidator;
import org.hibernate.validator.constraints.CompositionType;
import org.hibernate.validator.constraints.ConstraintComposition;

import javax.validation.Constraint;
import javax.validation.Payload;
import javax.validation.constraints.NotNull;
import java.lang.annotation.Documented;
import java.lang.annotation.Repeatable;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/9/22 23:15
 * @Description 指定值校验器
 */
@Documented
@Constraint(validatedBy = {AssignIntValueConstraintValidator.class, AssignDoubleValueConstraintValidator.class, AssignBigDecimalValueConstraintValidator.class})
@Target({METHOD, FIELD, ANNOTATION_TYPE, CONSTRUCTOR, PARAMETER, TYPE_USE})
@Retention(RUNTIME)
@NotNull(message = "输入值不能为空")
@ConstraintComposition(CompositionType.AND)
//@ReportAsSingleViolation
@Repeatable(AssignValues.ListAble.class)
public @interface AssignValues {
    String message() default "must submit assign value!!!";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

    int[] ints() default {};

    double[] doubles() default {};

    double[] bigDecimals() default {};

    @Documented
    @Target({FIELD})
    @Retention(RUNTIME)
    @interface ListAble {
        AssignValues[] value();
    }
}
