package cn.fw.dalaran.common.myValidator.checkImpl;


import cn.fw.dalaran.common.myValidator.annotation.AssignValues;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;
import java.util.HashSet;
import java.util.Set;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/9/22 23:21
 * @Description 校验器, 校验int类型的
 */
public class AssignIntValueConstraintValidator implements ConstraintValidator<AssignValues, Integer> {

    private final Set<Integer> values = new HashSet<>();

    /**
     * 初始化方法
     *
     * @param assignValues 校验注解详细信息
     */
    @Override
    public void initialize(AssignValues assignValues) {
        int[] values = assignValues.ints();// 获取校验注解指定的合法值
        for (int value : values) {
            this.values.add(value);
        }
    }

    /**
     * 判断是否校验成功
     *
     * @param value   指定值(待校验值 )
     * @param context
     * @return 是否校验成功
     */
    @Override
    public boolean isValid(Integer value, ConstraintValidatorContext context) {
        return this.values.contains(value);
    }

}
