package cn.fw.dalaran.dao;

import cn.fw.dalaran.domain.db.LivePool;
import cn.fw.dalaran.domain.dto.report.score.StaffScoreSumDto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

/**
 * @author kurisu
 * @date 2021-11-17 14:40
 * @description 直播池数据处理
 */
@Repository
public interface LivePoolDao extends BaseMapper<LivePool> {
    /**
     * 根据账号删除对应日期数据
     *
     * @param accountId
     * @param date
     */
    void deleteByAccountDate(@Param("accountId") Long accountId, @Param("date") LocalDate date);

    List<StaffScoreSumDto> getScoreSummary(@Param("themeIds")List<Long> themeIds, @Param("shopIds")List<Long> shopIds);

}
