package cn.fw.dalaran.dao;

import cn.fw.dalaran.domain.db.VideoPool;
import cn.fw.dalaran.domain.dto.report.VideoTrendDto;
import cn.fw.dalaran.domain.dto.report.score.StaffScoreSumDto;
import cn.fw.dalaran.domain.param.report.video.VideoTrendParam;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

/**
 * @author kurisu
 * @date 2021-11-17 14:33
 * @description 短视频池
 */
@Repository
public interface VideoPoolDao extends BaseMapper<VideoPool> {
    /**
     * 根据账号删除对应日期数据
     *
     * @param accountId
     * @param date
     */
    void deleteByAccountDate(@Param("accountId") Long accountId, @Param("date") LocalDate date);

    /**
     * 综合得分汇总
     *
     * @param themeIds
     * @param shopIds
     * @return
     */
    List<StaffScoreSumDto> getScoreSummary(@Param("themeIds") List<Long> themeIds, @Param("shopIds") List<Long> shopIds);

    List<StaffScoreSumDto> getScoreSummaryTrend(@Param("themeIds") List<Long> themeIds, @Param("shopIds") List<Long> shopIds);


}
