package cn.fw.dalaran.domain.db.common;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * 数据库基础字段
 *
 * @author Devin
 * @date: 2018/12/7 10:28
 */
@Getter
@Setter
public class BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    protected Long id;

    /**
     * 创建时间
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    protected Date createTime;

    /**
     * 修改时间
     */
    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    protected Date updateTime;

    /**
     * 数据状态 1正常 -1 逻辑删除
     */
    @TableLogic
    @TableField(value = "yn", fill = FieldFill.INSERT)
    protected Integer yn;
}
