package cn.fw.dalaran.domain.db.common;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 干预记录
 *
 * @author: lym
 * @date: 2023/4/19
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class InterveneRecord extends BaseAuditableTimeEntity<InterveneRecord, Long> {
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 干预业务类型
     */
    private String type;
    /**
     * 干预业务id
     */
    private Long dataId;
    /**
     * 干预角色
     */
    private String roleCode;
    /**
     * 干预人员id
     */
    private Long staffId;
    /**
     * 干预人员名称
     */
    private String staffName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 是否完成
     */
    private Boolean complete;
    /**
     * 逻辑删除字段
     */
    @TableLogic(value = "1", delval = "0")
    private Boolean yn;
}
