package cn.fw.dalaran.domain.db.common;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * 待办记录
 *
 * @author kurisu
 * @date 2021-11-16 11:14
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString(callSuper = true)
public class TodoHistory extends BaseAuditableTimeEntity<TodoHistory, Long> {

    /**
     * 用户id
     */
    private Long userId;
    /**
     * 角色码
     */
    private String roleCode;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 待办开始时间
     */
    private Date planTime;
    /**
     * 待办到期时间
     */
    private Date expireTime;
    /**
     * 是否已发送(新增)
     */
    private Boolean send;
    /**
     * 0新增 1完成 2取消
     * {@link cn.fw.dalaran.common.domain.enums.ToDoTypeEnum}
     */
    private Integer done;
    /**
     * 待办完成时间
     */
    protected Date commitTime;
    /**
     * 待办关单
     */
    private Boolean todoDone;
    /**
     * 待办码
     */
    private String todoCode;
    /**
     * 业务id
     */
    private Long dataId;
    /**
     * 动态信息
     */
    private String dynamicInfo;
    /**
     * 待办附加信息
     */
    private String extra;

    /**
     * 自定义去重条件
     */
    public String getRemoveDuplicatesCondition() {
        return this.getUserId() + "-->" + this.getDataId();
    }
}
