package cn.fw.dalaran.domain.db.config;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

/**
 * 配置组
 *
 * @author wmy3969
 * @version 1.0
 * @date 2022/4/28 15:43
 */
@Data
public class ConfigGroup {
    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 配置组名称
     */
    private String configName;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名
     */
    private String brandName;
    /**
     * 配置创建人id
     */
    private Long userId;
    /**
     * 配置创建人名称
     */
    private String userName;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 适用门店范围(0:部分门店, 1:全部门店)
     */
    private Integer allShop;
    /**
     * 门店范围
     */
    private String shopJson;
    /**
     * 是否启用
     */
    private Boolean enable;
    /**
     * 创建时间
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 更新时间
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 逻辑删除(0:已删除, 1:未删除)
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Integer yn;
}
