package cn.fw.dalaran.domain.db.config;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 配置组草稿
 *
 * @author wmy3969
 * @version 1.0
 * @date 2022/4/28 15:43
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ConfigGroupDraft extends BaseAuditableTimeEntity<ConfigGroupDraft, Long> {
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 创建该配置的用户id
     */
    private Long userId;
    /**
     * 配置组名称
     */
    private String configName;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名
     */
    private String brandName;
    /**
     * 全部门店(0:否, 1:是)
     */
    private Integer allShop;
    /**
     * 门店范围
     */
    private String shopJson;
    /**
     * 指标设置
     */
    private String evlJson;
    /**
     * 有效性设置
     */
    private String validJson;
    /**
     * 逻辑删除(0:已删除, 1:未删除)
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Integer yn;
}
