package cn.fw.dalaran.domain.db.config;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.dalaran.domain.enums.config.WorksTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * 评价指标
 *
 * @author kurisu
 * @date 2021-11-18 11:07
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString(callSuper = true)
public class EvlIndex extends BaseAuditableTimeEntity<EvlIndex, Long> {
    /**
     * 所属配置组id
     */
    private Long configGroupId;
    /**
     * 类型
     */
    private WorksTypeEnum type;
    /**
     * 占比 （%）
     */
    private BigDecimal rate;


    public static EvlIndex initBean(WorksTypeEnum type, Long configGroupId, BigDecimal rate) {
        EvlIndex evlIndex = new EvlIndex();
        evlIndex.setConfigGroupId(configGroupId);
        evlIndex.setType(type);
        evlIndex.setRate(rate);
        return evlIndex;
    }
}
