package cn.fw.dalaran.domain.db.config;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.dalaran.domain.enums.config.SubTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * 评价子指标
 *
 * @author kurisu
 * @date 2021-11-18 11:07
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString(callSuper = true)
public class EvlSubIndex extends BaseAuditableTimeEntity<EvlSubIndex, Long> {
    /**
     * 配置组id
     */
    private Long configGroupId;
    /**
     * 指标id
     */
    private Long evlId;
    /**
     * 子指标类型
     */
    private SubTypeEnum subType;
    /**
     * 占比 （%）
     */
    private BigDecimal rate;
    /**
     * 得分标准
     */
    private Integer standard;

    public static EvlSubIndex initBean(SubTypeEnum type, Long configGroupId, Long evlId, BigDecimal rate, Integer standard) {
        EvlSubIndex evlSubIndex = new EvlSubIndex();
        evlSubIndex.setConfigGroupId(configGroupId);
        evlSubIndex.setEvlId(evlId);
        evlSubIndex.setSubType(type);
        evlSubIndex.setRate(rate);
        evlSubIndex.setStandard(standard);
        return evlSubIndex;
    }
}
