package cn.fw.dalaran.domain.db.score;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 主题得分记录
 *
 * @author: lym
 * @date: 2023/5/12
 */
@Data
public class ThemeScore {
    /**
     * 主题id
     */
    private Long themeId;
    /**
     * 所属月份
     */
    private String belongMonth;
    /**
     * 主题总得分
     */
    private BigDecimal themeScore;
    /**
     * 直播场次
     */
    private BigDecimal liveNum;
    /**
     * 直播总分
     */
    private BigDecimal liveScoreSum;
    /**
     * 直播平均分
     */
    private BigDecimal liveAverage;
    /**
     * 短视频场次
     */
    private BigDecimal videoNum;
    /**
     * 短视频总分
     */
    private BigDecimal videoScoreSum;
    /**
     * 短视频平均分
     */
    private BigDecimal videoAverage;
    /**
     * 数据日期
     */
    private LocalDate calDay;
    /**
     * 是否为最新记录
     */
    private Boolean latestRecord;
}
