package cn.fw.dalaran.domain.db.snapshot;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.dalaran.common.utils.PublicUtil;
import cn.fw.dalaran.domain.vo.account.AccountInfoVo;
import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.bytedeco.opencv.presets.opencv_core;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 主题销售顾问快照
 *
 * @author: lym
 * @date: 2023/5/15
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ConsultantSnapshot extends BaseAuditableTimeEntity<ConsultantSnapshot, Long> {
    /**
     * 主题id
     */
    private Long groupId;
    /**
     * 主题id
     */
    private Long themeId;
    /**
     * 月度
     */
    private String month;
    /**
     * 所属门店id
     */
    private Long shopId;
    /**
     * 所属门店名称
     */
    private String shopName;
    /**
     * 销售顾问id
     */
    private Long staffId;
    /**
     * 销售顾问id
     */
    private String staffName;

    /**
     * 账号
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String accountInfo;

    /**
     * 短视频目标
     */
    private Integer needVideoNum;
    /**
     * 有效视频数
     */
    private Integer videoQualifiedNum;

    /**
     * 直播目标
     */
    private Integer needLiveNum;

    /**
     * 有效直播数
     */
    private Integer LiveQualifiedNum;


    private BigDecimal liveRate;

    private BigDecimal videoRate;

    public List<AccountInfoVo> getAccountInfoList() {
        return PublicUtil.isEmpty(this.accountInfo)
                ? new ArrayList<>()
                : JSON.parseArray(this.accountInfo, AccountInfoVo.class);
    }
}
