package cn.fw.dalaran.domain.db.snapshot;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * 主题管理层快照
 *
 * @author: lym
 * @date: 2023/5/15
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ManagerSnapshot extends BaseAuditableTimeEntity<ManagerSnapshot, Long> {
    /**
     * 主题id
     */
    private Long groupId;
    /**
     * 主题id
     */
    private Long themeId;
    /**
     * 月度
     */
    private String month;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 发布人员数量
     */
    private Integer consultantNum;
    /**
     * 作品所属一级管理
     */
    private Long firstManagerId;
    /**
     * 作品所属一级管理
     */
    private String firstManagerName;

    /**
     * 作品所属二级管理
     */
    private Long secondManagerId;
    /**
     * 作品所属一级管理
     */
    private String secondManagerName;
    /**
     * 作品所属三级管理
     */
    private Long thirdManagerId;
    /**
     * 作品所属三级管理
     */
    private String thirdManagerName;
    /**
     * 作品所属三级管理
     */
    private Long fourthManagerId;
    /**
     * 作品所属三级管理
     */
    private String fourthManagerName;

    private BigDecimal liveRate;
    private BigDecimal videoRate;

    /**
     * 账号
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String accountInfo;

    private Integer needVideoNum;
    private Integer videoQualifiedNum;

    private Integer needLiveNum;
    private Integer LiveQualifiedNum;

}
