package cn.fw.dalaran.domain.dto.activity;

import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 活动主题配置参数
 *
 * @author: lym
 * @date: 2023/4/26
 */
@Data
public class ActivitySaveDto {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 所属配置组id
     */
    @NotNull(message = "所属配置组id不能为空")
    private Long configGroupId;
    /**
     * 活动主题
     */
    @NotBlank(message = "未配置活动主题")
    private String theme;
    /**
     * 活动话题(只传递新增)
     */
    @NotNull(message = "未配置活动话题")
    private List<@Valid TopicDto> topic;
    /**
     * 主题开始时间
     */
    @NotNull(message = "未配置主题开始时间")
    private Date startTime;
    /**
     * 主题结束时间
     */
    @NotNull(message = "未配置主题结束时间")
    private Date endTime;
    /**
     * 封面图文件信息(只传递新增)
     */
    @NotEmpty(message = "必须指定封面图文件")
    private List<String> covers;
    /**
     * 最低有效直播场次
     */
    @NotNull(message = "未配置有效直播场次要求")
    private Integer liveValidTimes;
    /**
     * 最低有效短视频场次
     */
    @NotNull(message = "未配置有效短视频场次要求")
    private Integer videoValidTimes;

    /**
     * 粉丝数要求
     */
    @Valid
    private List<FansLimitDto> fansLimit;
}
