package cn.fw.dalaran.domain.dto.config;

import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * 指标配置参数
 *
 * @author wmy3969
 * @version 1.0
 * @date 2022/2/14 16:45
 */
@Data
public class EvlDto {
    /**
     * 指标类型
     */
    @NotNull(message = "配置项类型不能为空")
    private Integer type;
    /**
     * 指标占比
     */
    @NotNull(message = "占比不能为空")
    private BigDecimal rate;
    /**
     * 指标子项
     */
    @Valid
    @NotNull(message = "配置子项不能为空")
    private List<EvlSubIndexDto> EvlSubItems;

    @Data
    public static class EvlSubIndexDto {
        /**
         * 指标子项类型
         */
        @NotNull(message = "配置子项类型不能为空")
        private Integer subType;
        /**
         * 指标子项占比
         */
        @NotNull(message = "占比不能为空")
        private BigDecimal rate;
        /**
         * 得分标准
         */
//        @NotNull(message = "得分标准不能为空")
        private Integer standard;

//        /**
//         * 是否勾选 0否1是
//         */
//        @NotNull(message = "是否勾选标志不能为空")
//        private Boolean valid;
    }
}
