package cn.fw.dalaran.domain.dto.config;

import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 有效性配置信息
 *
 * @author: lym
 * @date: 2023/4/24
 */
@Data
public class ValidDto {
    /**
     * 有效性配置类型(1:直播, 2:视频 3.封面 4.话题)
     * {@link cn.fw.dalaran.domain.enums.config.ValidConfigTypeEnum}
     */
    @NotNull(message = "配置类型不能为空")
    private Integer type;

    /**
     * 有效性配置项
     */
    @Valid
    @NotNull(message = "未完善有效性配置")
    private List<ValidDto.ValidSubConfigDto> validSubItems;

    @Data
    public static class ValidSubConfigDto {
        /**
         * 有效性配置项类型
         */
        @NotNull(message = "配置类型不能为空")
        private Integer indexType;
        /**
         * 最小值
         */
//        @NotNull(message = "配置值不能为空")
        private Integer minValue;
        /**
         * 是否勾选 0否1是
         */
        @NotNull(message = "是否勾选标志不能为空")
        private Boolean valid;
    }
}
