package cn.fw.dalaran.domain.dto.report;

import cn.fw.dalaran.domain.db.config.ActivityTheme;
import cn.fw.dalaran.domain.db.config.EvlIndex;
import cn.fw.dalaran.domain.db.config.EvlSubIndex;
import cn.fw.dalaran.domain.enums.config.WorksTypeEnum;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 得分计算参数
 *
 * @author: lym
 * @date: 2023/5/17
 */
@Data
public class CalParam {
    private ActivityTheme theme;

    /**
     * 计算日期
     */
    private LocalDate calDate;

    private List<EvlIndex> indexList;

    private Map<Long, List<EvlSubIndex>> subIndexMap;

    public Map<WorksTypeEnum, EvlIndex> getIndexMap() {
        return indexList.stream().collect(Collectors.toMap(EvlIndex::getType, r -> r));
    }


}
