package cn.fw.dalaran.domain.dto.report;

import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedList;
import java.util.List;

/**
 * 指标评分公式
 *
 * @author: lym
 * @date: 2023/5/15
 */
@Data
public class EvlFormulaDto {
    /**
     * 实际得分率
     */
    private BigDecimal score = BigDecimal.ZERO;
    /**
     * 得分明细
     */
    private List<SubEvl> scoreItems = new LinkedList<>();

    @Data
    public static class SubEvl {
        /**
         * 指标名称
         */
        private String evlName;
        /**
         * 指标标准
         */
        private Integer standard;
        /**
         * 抓取值
         */
        private Integer collectNum;
        /**
         * 当前指标得分占比
         */
        private BigDecimal subIndexRate;
        /**
         * 本项得分率
         */
        private BigDecimal score;
    }
}
