package cn.fw.dalaran.domain.dto.report;

import lombok.Data;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.time.LocalDate;

/**
 * 短视频主题考核统计
 *
 * @author: lym
 * @date: 2023/5/6
 */
@Data
public class ScoreTrendDto {
    /**
     * 日期
     */
    private LocalDate collectDay;
    /**
     * 有效数量
     */
    private Integer total = 0;
    /**
     * 总得分率
     */
    private BigDecimal scoreSum = BigDecimal.ZERO;



    public BigDecimal getRate() {
        return total > 0 ? this.scoreSum.divide(BigDecimal.valueOf(total), 4, RoundingMode.HALF_UP)
                : BigDecimal.ZERO;
    }

}
