package cn.fw.dalaran.domain.dto.report.score;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 人员得分情况
 *
 * @author: LYM
 * @date: 2023/12/20 11:23
 */
@Data
public class ScoreResultDto {
    /**
     * 主题id
     */
    private Long themeId;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 人员id
     */
    private Long staffId;
    /**
     * 名称
     */
    private String staffName;
    /**
     * 管理人员id
     */
    private Long managerId;
    /**
     * 管理人名称
     */
    private String managerName;
    /**
     * 发布人范围
     */
    private Integer consultantNum;
    /**
     * 短视频目标
     */
    private Integer needVideoNum = 0;
    /**
     * 有效视频数
     */
    private Integer videoQualifiedNum = 0;
    /**
     * 直播目标
     */
    private Integer needLiveNum = 0;
    /**
     * 有效直播数
     */
    private Integer LiveQualifiedNum = 0;
    /**
     * 直播得分
     */
    private BigDecimal liveScore = BigDecimal.ZERO;
    /**
     * 短视频得分
     */
    private BigDecimal videoScore = BigDecimal.ZERO;
    /**
     * 直播综合得分占比
     */
    private BigDecimal liveRate = BigDecimal.ZERO;
    /**
     * 短视频综合得分占比
     */
    private BigDecimal videoRate = BigDecimal.ZERO;
    /**
     * 直播综合得分
     */
    private BigDecimal liveThemeScore = BigDecimal.ZERO;
    /**
     * 短视频综合得分
     */
    private BigDecimal videoThemeScore = BigDecimal.ZERO;

    public BigDecimal getThemeScore() {
        return liveThemeScore.add(videoThemeScore);
    }

    public boolean liveTarget() {
        return LiveQualifiedNum >= needLiveNum;
    }

    public boolean videoTarget() {
        return videoQualifiedNum >= needVideoNum;
    }
}

