package cn.fw.dalaran.domain.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/5/7 11:42
 * @Description 配置
 */
@Getter
@AllArgsConstructor
public enum ConfigEnum {
    /**
     * 封面相似度
     */
    COVER_SIMILARITY(1, "封面相似度"),
    /**
     * 话题相似度
     */
    TOPIC_SIMILARITY(2, "话题相似度"),
    /**
     * 综合得分集团标准分
     */
    STANDARD_SCORE(3, "综合得分集团标准分"),
    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static ConfigEnum ofValue(final Integer value) {
        for (final ConfigEnum typeEnum : ConfigEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final ConfigEnum typeEnum : ConfigEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
