package cn.fw.dalaran.domain.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/2/29 14:41
 * @Description 作品无效类型枚举
 */
@Getter
@AllArgsConstructor
public enum DisqualificationEnum {
    /**
     * 话题不匹配
     */
    TAGS(1, "话题不匹配"),
    /**
     * 封面不匹配
     */
    COVER(2, "封面不匹配"),
    /**
     * 无直播回放
     */
    LOSE_PLAYBACK(3, "无直播回放"),
    ;

    /**
     * 类型值
     */
    @EnumValue
    private final Integer type;
    /**
     * 描述
     */
    private final String desc;

    /**
     * 根据枚举值获取枚举对象
     */
    public static DisqualificationEnum getEnumByType(Integer type) {
        for (final DisqualificationEnum typeEnum : DisqualificationEnum.values()) {
            if (typeEnum.type.equals(type)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 描述
     */
    public static String getDescByType(Integer type) {
        for (final DisqualificationEnum typeEnum : DisqualificationEnum.values()) {
            if (typeEnum.type.equals(type)) {
                return typeEnum.getDesc();
            }
        }
        return "";
    }
}
