package cn.fw.dalaran.domain.enums.account;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 账号
 * @author: lym
 * @date: 2023/4/20
 */
@Getter
@AllArgsConstructor
public enum AccountConfirmEnum {
    /**
     * 待处理
     */
    ONGOING(1, "待处理"),
    /**
     * 已完成
     */
    COMPLETE(2, "已完成"),

    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static AccountConfirmEnum ofValue(final Integer value) {
        for (final AccountConfirmEnum typeEnum : AccountConfirmEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final AccountConfirmEnum typeEnum : AccountConfirmEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
