package cn.fw.dalaran.domain.enums.account;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/4/13 11:49
 * @Description
 */
@Getter
@AllArgsConstructor
public enum AccountEnableAnalysisEnum {
    /**
     * 新增未开启
     */
    ADD(1, "新增未开启", "新绑定账号，请确认账号配置是否正确"),
    /**
     * 主题得分为0(暂不使用)
     */
    THEME_ZERO(0, "主题得分为0", "单个主题时间段数据为0，请确认账号配置是否正确"),
    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    private final String reason;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static AccountEnableAnalysisEnum ofValue(final Integer value) {
        for (final AccountEnableAnalysisEnum typeEnum : AccountEnableAnalysisEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final AccountEnableAnalysisEnum typeEnum : AccountEnableAnalysisEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
