package cn.fw.dalaran.domain.enums.account;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/4/13 11:49
 * @Description
 */
@Getter
@AllArgsConstructor
public enum AccountStatusEnum {
    /**
     * 上班中
     */
    IN_WORK(1, "上班中"),
    /**
     * 未上班
     */
    NO_WORK(0, "未上班"),
    /**
     * 已离职
     */
    HAS_LEAVE(-1, "已离职"),
    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static AccountStatusEnum ofValue(final Integer value) {
        for (final AccountStatusEnum typeEnum : AccountStatusEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final AccountStatusEnum typeEnum : AccountStatusEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
