package cn.fw.dalaran.domain.enums.account;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: juzi
 * @date: 2023/9/13 10:56
 */
@Getter
@AllArgsConstructor
public enum AccountTypeEnum {
    /**
     * 门店
     */
    SHOP(1, "门店账号"),
    /**
     * 个人
     */
    STAFF(0, "个人账号"),
    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static AccountTypeEnum ofValue(final Integer value) {
        for (final AccountTypeEnum typeEnum : AccountTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final AccountTypeEnum typeEnum : AccountTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}

