package cn.fw.dalaran.domain.enums.activity;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 活动主题状态枚举
 *
 * @author: lym
 * @date: 2023/4/20
 */
@Getter
@AllArgsConstructor
public enum ActivityStatusEnum {
    WAIT(1, "未开始"),
    ONGOING(2, "生效中"),
    COMPLETE(3, "已结束"),
    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static ActivityStatusEnum ofValue(final Integer value) {
        for (final ActivityStatusEnum typeEnum : ActivityStatusEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final ActivityStatusEnum typeEnum : ActivityStatusEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
