package cn.fw.dalaran.domain.enums.config;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 配置组状态枚举
 *
 * @author wmy3969
 * @version 1.0
 * @date 2022/4/13 11:49
 */
@Getter
@AllArgsConstructor
public enum GroupStatusEnum {
    /**
     * 草稿
     */
    DRAFT(1, "上班中"),
    /**
     * 生效中
     */
    ONGOING(2, "未上班"),
    /**
     * 已删除
     */
    DEL(3, "已删除"),
    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static GroupStatusEnum ofValue(final Integer value) {
        for (final GroupStatusEnum typeEnum : GroupStatusEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final GroupStatusEnum typeEnum : GroupStatusEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
