package cn.fw.dalaran.domain.enums.config;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 配置组适用门店类型
 *
 * @author: lym
 * @date: 2023/4/24
 */
@Getter
@AllArgsConstructor
public enum ShopRangeEnum {
    /**
     * 部分门店
     */
    PART(0, "部分门店"),
    /**
     * 全部门店
     */
    ALL(1, "全部门店"),
    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static ShopRangeEnum ofValue(final Integer value) {
        for (final ShopRangeEnum typeEnum : ShopRangeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final ShopRangeEnum typeEnum : ShopRangeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
