package cn.fw.dalaran.domain.enums.config;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 有效性设置类型
 *
 * @author kurisu
 * @date 2020-08-11 17:37
 */
@Getter
@AllArgsConstructor
public enum ValidConfigTypeEnum {
    /**
     * 单次短视频有效性前置条件
     */
    VIDEO(1, "单次短视频有效性前置条件"),
    /**
     * 单次直播有效性前置条件
     */
    LIVE(2, "单次直播有效性前置条件"),
//    OTHER(3, "赞"),
    COVER(4, "单次封面有效性前置条件"),
    TOPIC(5, "单次话题有效性前置条件"),
    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static ValidConfigTypeEnum ofValue(final Integer value) {
        for (final ValidConfigTypeEnum typeEnum : ValidConfigTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final ValidConfigTypeEnum typeEnum : ValidConfigTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
