package cn.fw.dalaran.domain.enums.config;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 作品类型
 *
 * @author kurisu
 * @date 2020-08-11 17:37
 */
@Getter
@AllArgsConstructor
public enum WorksTypeEnum {
    /**
     * 短视频
     */
    VIDEO(1, "短视频"),
    /**
     * 直播
     */
    LIVE(2, "直播"),
    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static WorksTypeEnum ofValue(final Integer value) {
        for (final WorksTypeEnum typeEnum : WorksTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final WorksTypeEnum typeEnum : WorksTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
