package cn.fw.dalaran.domain.enums.report;

import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/5/9 17:24
 * @Description 报表列表类型枚举
 */
@Getter
@AllArgsConstructor
public enum ReportListTypeEnum {
    SHOP(1, "门店"),
    USER(2, "人员"),
    PLATFORM(3, "平台"),
    INVALID_REASON(4, "不合格原因"),
    MANAGER_1(5, "销售一级管理"),
    MANAGER_2(6, "销售二级管理"),
    MANAGER_3(7, "销售三级管理"),
    MANAGER_4(8, "销售四级管理"),
    THEME(9, "主题"),
    ;
    /**
     * 类型值
     */
    private final Integer value;
    /**
     * 类型描述
     */
    private final String desc;


    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static ReportListTypeEnum ofValue(final Integer value) {
        for (final ReportListTypeEnum typeEnum : ReportListTypeEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    public static Boolean isaManager(Integer type){
       return MANAGER_1.getValue().equals(type) || MANAGER_2.getValue().equals(type)
                || MANAGER_3.getValue().equals(type) || MANAGER_4.getValue().equals(type);
    }
}
