package cn.fw.dalaran.domain.enums.report.video;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.math.BigDecimal;

/**
 * 账号
 * @author: lym
 * @date: 2023/4/20
 */
@Getter
@AllArgsConstructor
public enum VideoNormEnum {
    /**
     * 按主题考核
     */
    VALID_RATE(1, "有效发布率"),
    /**
     * 按月度考核
     */
    FULL_PLAY_RATE(2, "完整播放率"),

    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static VideoNormEnum ofValue(final Integer value) {
        for (final VideoNormEnum typeEnum : VideoNormEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final VideoNormEnum typeEnum : VideoNormEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
