package cn.fw.dalaran.domain.enums.report.video;

import cn.fw.dalaran.common.utils.PublicUtil;
import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 账号
 *
 * @author: lym
 * @date: 2023/4/20
 */
@Getter
@AllArgsConstructor
public enum VideoPoolSortEnum {

    SCORE("score", "score", "得分"),

    DURATION("duration", "duration", "时长"),
    PUBLISH_TIME("publishTime", "publish_time", "发布时间"),
    UV("uv", "uv", "播放"),
    FULL_UV("fullUv", "full_uv", "完成播放"),
    LIKE_NUM("likeNum", "like_num", "点赞"),
    SHARE_NUM("shareNum", "share_num", "分享"),
    COMMENT_NUM("commentNum", "comment_num", "评论"),
    FULL_PAY_RATE("fullPlayRate", "full_uv / uv", "完整播放率"),
    ;
    /**
     * 值
     */
    @EnumValue
    private final String value;
    /**
     * 值
     */
    @EnumValue
    private final String field;
    /**
     * 名称
     */
    @Getter
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static VideoPoolSortEnum ofValue(final String value) {
        for (final VideoPoolSortEnum typeEnum : VideoPoolSortEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final String value) {
        for (final VideoPoolSortEnum typeEnum : VideoPoolSortEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }

    public static String getOrderSql(String orderAtt, Integer order) {
        VideoPoolSortEnum videoPoolSortEnum = ofValue(orderAtt);
        PublicUtil.assertNotEmpty(videoPoolSortEnum, "暂不支持该字段排序");
        return "order by " + videoPoolSortEnum.getField() + (order.equals(1) ? " asc" : " desc");
    }
}
