package cn.fw.dalaran.domain.enums.report.video;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 短频视占比分析指标
 *
 * @author: lym
 * @date: 2023/4/20
 */
@Getter
@AllArgsConstructor
public enum VideoRateIndexEnum {
    RELEASE(1, "发布量"),
    UV(2, "播放量"),
    FULL_UV(3, "完整播放量"),
    LIKE_NUM(4, "点赞"),
    SHARE_NUM(5, "分享"),
    COMMENT_NUM(6, "评论"),
    NEW_FANS(7, "增粉"),

    ;

    /**
     * 值
     */
    @EnumValue
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static VideoRateIndexEnum ofValue(final Integer value) {
        for (final VideoRateIndexEnum typeEnum : VideoRateIndexEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final VideoRateIndexEnum typeEnum : VideoRateIndexEnum.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum.getName();
            }
        }
        return "";
    }
}
