package cn.fw.dalaran.domain.param;

import cn.fw.dalaran.domain.enums.DisqualificationEnum;
import lombok.Data;

import java.util.Date;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/3/30 9:56
 * @Description 获取作品不合格列表查询参数
 */
@Data
public class DisqualificationRecordParam {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 账号
     */
    private String account;
    /**
     * 平台类型(1:抖音, 2:快手, 3:懂车帝, 4:哔哩哔哩)(下拉选)
     */
    private Integer platformType;
    /**
     * 作品类型(1:短视频, 2:直播)(下拉选)
     */
    private Integer worksType;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 不合格原因(1:话题不匹配, 2:封面不匹配, 3:无直播回放)(下拉选){@link DisqualificationEnum}
     */
    private Integer reason;
}
