package cn.fw.dalaran.domain.param.report.live;

import cn.fw.dalaran.common.myValidator.annotation.AssignValues;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/5/11 15:34
 * @Description 分析维度参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AnalysisParams extends ListQueryParam {
    /**
     * 待分析数据行id
     */
    @NotNull(message = "待分析数据行id不能为空")
    private Long rowId;
    /**
     * 分析类型(1:门店分析, 2:销顾分析, 3平台分析, 4:占比分析)
     */
    @AssignValues(ints = {1, 2, 3, 4}, message = "你提交的分析类型有误!")
    private Integer analysisType;
}
