package cn.fw.dalaran.domain.param.report.live;

import cn.fw.dalaran.common.myValidator.annotation.AssignValues;
import cn.fw.dalaran.domain.param.report.base.ReportBaseQueryParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/5/9 10:01
 * @Description 列表查询参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ListQueryParam extends ReportBaseQueryParam {
    /**
     * 查询列表类型(1:门店, 2:人员, 3:平台, 4:不合格原因, 5:销售一级管理, 6:销售二级管理, 7:销售三级管理)
     */
    @NotNull(message = "列表类型不能为空")
    @AssignValues(ints = {1, 2, 3, 4, 5, 6, 7, 8}, message = "你提交的维度有误!")
    private Integer rowType;

    private List<Long> themeIds;
}
