package cn.fw.dalaran.domain.param.report.live;

import cn.fw.dalaran.domain.param.report.base.ReportBaseQueryParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/5/9 11:32
 * @Description 池查询参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PoolQueryParam extends ReportBaseQueryParam {
    /**
     * 页码
     */
    private Integer current = 1;
    /**
     * 每页数据量
     */
    private Integer pageSize = 20;
    /**
     * 行数据id
     */
    private Long rowId;
    /**
     * 行数据类型
     */
    private Integer rowType;

    /* 分析结果列表跳池传参 */
    /**
     * 外部行数据id(分析结果列表跳池传参)
     * 比如说门店列表下, 门店18点的某某分析, outRowId即为该门店的id, 18
     */
    private Long outRowId;
    /**
     * 外部行数据类型(分析结果列表跳池传参)
     * 比如说门店列表下, 门店18点的某某分析, outRowType即为1(门店)
     */
    private Integer outRowType;

    /* 池过滤参数 */
    /**
     * 标题(池过滤参数)
     */
    private String title;
    /**
     * 所属账户昵称(池过滤参数)
     */
    private String userNick;
    /**
     * 平台类型(池过滤参数)
     */
    private Integer platformType;
    /**
     * 用户名(池过滤参数)
     */
    private String userName;
    /**
     * 平台类型(池过滤参数)
     */
    private Integer platform;

    /* 排序参数 */
    /**
     * 排序字段
     */
    private String orderAtt;
    /**
     * 排序方式(1:升序, 2:降序)
     */
    private Integer order;

}
