package cn.fw.dalaran.domain.param.report.live;

import cn.fw.dalaran.common.myValidator.annotation.AssignValues;
import cn.fw.dalaran.domain.enums.PlatformEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/5/11 15:46
 * @Description
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class RatioAnalysisParams extends AnalysisParams {
    /**
     * 指标类型
     */
    @NotNull(message = "指标类型不能为空")
    private Integer indexType;
    /**
     * 平台类型
     * {@link PlatformEnum}
     */
    @AssignValues(ints = {-1, 1, 2, 3, 4}, message = "你提交的平台类型维度有误!")
    private Integer platformType;
}
