package cn.fw.dalaran.domain.param.report.score;

import cn.fw.dalaran.common.myValidator.annotation.AssignValues;
import cn.fw.dalaran.common.utils.PublicUtil;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * 主题得分查询参数
 *
 * @author: lym
 * @date: 2023/5/13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ScoreListParam extends ScoreBaseQueryParam {
    /**
     * 一级列表分析类型(1:门店, 2:销售顾问, 5:销售一级管理, 6:销售二级管理, 7:销售三级管理,8销售司四级,9主题 )
     */
    @NotNull(message = "列表类型不能为空")
    @AssignValues(ints = {1, 2, 3, 4, 5, 6, 7, 8, 9}, message = "你提交的维度有误!")
    private Integer rowType;
    /**
     * 一级列表id
     */
    private String rowId;
    /**
     * 二级列表分析类型 (1:门店, 2:销售顾问)
     * （下钻分析列表使用）
     */
    private Integer pointType;

    /**
     * 是否二级分析
     *
     * @return
     */
    public boolean isSecondAnalysis() {
        return PublicUtil.isNotEmpty(this.pointType);
    }
}
