package cn.fw.dalaran.domain.param.report.video;

import lombok.Data;

/**
 * 短视频参数
 *
 * @author: lym
 * @date: 2023/5/11
 */
@Data
public class VideoPoolParam extends VideoBaseQueryParam {
    /**
     * 查询列表类型(1:门店, 2:销售顾问, 3:平台, 4:不合格原因, 5:销售一级管理, 6:销售二级管理, 7:销售三级管理)
     */
    private Integer rowType;
    /**
     * 列表id
     */
    private String rowId;
    /**
     * 二级下钻分析类型 1:门店, 2:销售顾问, 3:平台, 4:不合格原因, 5:销售一级管理, 6:销售二级管理, 7:销售三级管理
     * （下钻分析列表使用）
     */
    private Integer pointType;
    /**
     * 二级列表id
     */
    private String pointId;
    /**
     * 平台类型
     */
    private Integer platform;
    /**
     * 无效原因类型
     */
    private Integer invalidReason;
    /**
     * 视频标题
     */
    private String title;
    /**
     * 归属顾问名称
     */
    private String userName;
    /**
     * 1升序 2降序
     */
    private Integer order;
    /**
     * 排序关键字
     */
    private String orderAtt;
}
