package cn.fw.dalaran.domain.param.report.video;

import cn.fw.dalaran.common.myValidator.annotation.AssignValues;
import cn.fw.dalaran.domain.enums.PlatformEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 占比分析参数
 *
 * @author: lym
 * @date: 2023/5/18
 */
@Data
public class VideoRateParam extends VideoListParam {
    /**
     * 指标类型
     */
    @NotNull(message = "指标类型不能为空")
    private Integer indexType;
    /**
     * 平台类型
     * {@link PlatformEnum}
     */
    @AssignValues(ints = {-1, 1, 2, 3, 4}, message = "你提交的平台类型维度有误!")
    private Integer platformType;
}
