package cn.fw.dalaran.domain.vo;

import cn.fw.dalaran.domain.vo.activity.TopicVo;
import lombok.Data;

import javax.validation.constraints.Future;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 活动主题视图
 *
 * @author wmy3969
 * @version 1.0
 * @date 2022/1/11 23:46
 */
@Data
public class ActivityThemeVo {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 所属配置组id
     */
    @NotNull(message = "所属配置组id不能为空")
    private Long configGroupId;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名
     */
    private String brandName;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 活动主题
     */
    @NotBlank(message = "活动主题不能为空")
    private String theme;
    /**
     * 活动话题
     */
    @NotEmpty(message = "话题不能为空")
    private List<TopicVo> topic;
    /**
     * 主题开始时间
     */
    @NotNull(message = "主题开始时间不能为空")
    private Date startTime;
    /**
     * 主题结束时间
     */
    @NotNull(message = "主题结束时间不能为空")
    @Future(message = "主题结束时间必须在当前时间之后")
    private Date endTime;
    /**
     * 是否为全部门店
     */
    private Integer allShop;
    /**
     * 适用门店清单(id)
     */
    private List<Long> shopIds;
    /**
     * 适用门店清单(name)
     */
    private List<String> shopNames;
}
