package cn.fw.dalaran.domain.vo;

import cn.fw.dalaran.domain.db.config.ActivityTheme;
import cn.fw.dalaran.domain.vo.activity.TopicVo;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/11/10 16:20
 * @Description 用户涉及主题有效作品完成进度
 */
@Data
public class UserThemeCompleteDetailsVo {
    /**
     * 活动主题实体
     */
    @JsonIgnore
    @JSONField(serialize = false)
    private ActivityTheme activityTheme;
    /**
     * 人员门店id
     */
    @JsonIgnore
    @JSONField(serialize = false)
    private Long shopId;
    /**
     * 活动主题id
     */
    private Long themeId;
    /**
     * 活动主题
     */
    private String theme;
    /**
     * 主题开始时间
     */
    private Date startTime;
    /**
     * 主题结束时间
     */
    private Date endTime;
    /**
     * 活动话题
     */
    private List<TopicVo> topic;
    /**
     * 主题要求有效短视频数
     */
    private Integer needValidVideoCnt;
    /**
     * 当前有效短视频数
     */
    private Integer currentValidVideoCnt;
    /**
     * 主题要求有效直播数
     */
    private Integer needValidLiveCnt;
    /**
     * 当前有效直播数
     */
    private Integer currentValidLiveCnt;
}
