package cn.fw.dalaran.domain.vo.activity;

import cn.fw.dalaran.domain.vo.common.ShopVo;
import cn.fw.dalaran.domain.vo.config.EvlVo;
import cn.fw.dalaran.domain.vo.config.FansLimitVo;
import cn.fw.dalaran.domain.vo.config.ValidVo;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 活动主题详情
 *
 * @author: lym
 * @date: 2023/6/1
 */
@Data
public class ActivityDetailVo {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 所属配置组id
     */
    private Long configGroupId;
    /**
     * 活动主题
     */
    private String theme;
    /**
     * 主题开始时间
     */
    private Date startTime;
    /**
     * 主题结束时间
     */
    private Date endTime;
    /**
     * 活动话题
     */
    private List<TopicVo> topic;
    /**
     * 封面图文件信息
     */
    private List<String> covers;
    /**
     * 最低有效直播场次(主题得分前置条件)
     */
    private Integer liveValidTimes;
    /**
     * 最低有效短视频场次(主题得分前置条件)
     */
    private Integer videoValidTimes;
    /**
     * 粉丝要求(主题得分前置条件)
     */
    private List<FansLimitVo> fansLimit;
    /**
     * 指标配置
     */
    private List<EvlVo> evlItems;
    /**
     * 有效性配置
     */
    private List<ValidVo> validItems;
    /**
     * 门店范围
     */
    private List<ShopVo> shopRange;
    /**
     * 1未开始 2进行中 3已结束
     */
    private Integer status;
}
