package cn.fw.dalaran.domain.vo.activity;

import cn.fw.dalaran.domain.vo.config.FansLimitVo;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 活动主题信息
 *
 * @author: lym
 * @date: 2023/4/25
 */
@Data
public class ActivityVo {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 所属配置组id
     */
    private Long configGroupId;
    /**
     * 活动主题
     */
    private String theme;
    /**
     * 活动话题
     */
    private List<TopicVo> topic;
    /**
     * 主题开始时间
     */
    private Date startTime;
    /**
     * 主题结束时间
     */
    private Date endTime;
    /**
     * 封面图文件信息
     */
    private List<String> covers;
    /**
     * 最低有效直播场次
     */
    private Integer liveValidTimes;
    /**
     * 最低有效短视频场次
     */
    private Integer videoValidTimes;
    /**
     * 粉丝要求(主题得分前置条件)
     */
    private List<FansLimitVo> fansLimit;
    /**
     * 1未开始 2进行中 3已结束
     */
    private Integer status;
}
