package cn.fw.dalaran.domain.vo.config;

import cn.fw.dalaran.domain.enums.config.*;
import lombok.Data;

import java.util.LinkedList;
import java.util.List;

/**
 * 有效性配置
 *
 * @author: lym
 * @date: 2023/4/24
 */
@Data
public class ValidVo {
    /**
     * 指标类型(1直播 2视频 4封面 5话题)
     */
    private Integer type;
    /**
     * 指标类型名称
     */
    private String typeName;
    /**
     * 配置项
     */
    private List<ValidSubConfigVo> validSubItems;

    @Data
    public static class ValidSubConfigVo {
        /**
         * 主键id
         */
        private Long id;
        /**
         * 指标类型
         */
        private Integer indexType;
        /**
         * 指标类型名称
         */
        private String indexTypeName;
        /**
         * 最小值
         */
        private Integer minValue;
        /**
         * 单位符号
         */
        private String unit;
        /**
         * 是否勾选 0否1是
         */
        private Boolean valid;
    }

    public static List<ValidVo> getInitConfig() {
        List<ValidVo> validConfigVoList = new LinkedList<>();
        validConfigVoList.add(ValidTopicEnum.getConfigItems());
        validConfigVoList.add(ValidCoverEnum.getConfigItems());
        validConfigVoList.add(ValidVideoEnum.getConfigItems());
        validConfigVoList.add(ValidLiveEnum.getConfigItems());
        return validConfigVoList;
    }
}
