package cn.fw.dalaran.domain.vo.report;

import cn.fw.dalaran.domain.enums.PlatformEnum;
import lombok.Data;

import java.util.List;
import java.util.Objects;

/**
 * 粉丝统计
 *
 * @author: juzi
 * @date: 2023/10/20 10:41
 */
@Data
public class UserFansCountVo {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 总粉丝量
     */
    private Long total = 0L;
    /**
     * 快手数据
     */
    private platformCount ks;
    /**
     * 抖音数据
     */
    private platformCount dy;

    public Long getPlatformFans(platformCount platformCount) {
        return Objects.isNull(platformCount) || Objects.isNull(platformCount.fansNum) ? 0 : platformCount.fansNum;
    }

    @Data
    public static class platformCount {
        /**
         * 平台类型
         */
        private Integer type;
        /**
         * 账号
         */
        private String account;
        /**
         * 粉丝数
         */
        private Long fansNum = 0L;
    }
}

