package cn.fw.dalaran.domain.vo.report.live;

import cn.fw.dalaran.domain.vo.report.UserFansCountVo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/5/8 17:38
 * @Description 列表vo
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ListVo extends BaseVo {
    /**
     * 行数据id(销售顾问id, 门店id, 平台类型id...)
     */
    private Long rowId;
    /**
     * 行数据名称(销售顾问名, 门店名, 平台类型名...)
     */
    private String rowName;
    /**
     * 综合得分
     */
    private BigDecimal score = BigDecimal.ZERO;
    /**
     * 数据分布情况信息(K: 二次分析维度信息, V: 累计数据)
     */
    private Map<Long, BaseVo> dataDistributionMsg;
    /**
     * 用户粉丝
     */
    private UserFansCountVo userFans;
}


