package cn.fw.dalaran.domain.vo.report.score;

import cn.fw.dalaran.domain.vo.report.UserFansCountVo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 主题得分列表
 *
 * @author: lym
 * @date: 2023/5/13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ThemeScoreListVo extends ScoreSummaryVo {
    /**
     * id
     */
    private String id;
    /**
     * 名称(门店名,销售顾问,管理层)
     */
    private String name;
    /**
     * 直播综合得分率计分占比
     */
    private BigDecimal i4 = BigDecimal.ZERO;
    /**
     * 直播得分
     */
    private BigDecimal i5 = BigDecimal.ZERO;
    /**
     * 短视频占比
     */
    private BigDecimal i6 = BigDecimal.ZERO;
    /**
     * 短视频得分
     */
    private BigDecimal i7 = BigDecimal.ZERO;
    /**
     * 用户粉丝
     */
    private UserFansCountVo userFans;
    /**
     * 目标及计分情况结果
     */
    private TargetResultDto targetResult;
    /**
     * 主题开始时间
     */
    private Date themeBeginTime;
    /**
     * 主题结束时间
     */
    private Date themeEndTime;
}
