package cn.fw.dalaran.rpc.backlog;

import cn.fw.backlog.sdk.api.InterveneApi;
import cn.fw.backlog.sdk.api.result.MeddleItem;
import cn.fw.dalaran.common.utils.PublicUtil;
import cn.fw.data.base.domain.common.Message;
import com.alibaba.fastjson.JSON;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 待办超期干预rpc
 *
 * @author: lym
 * @date: 2023/5/24
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class TodoInterveneRpc {
    private final InterveneApi interveneApi;

    /**
     * 获取干预阀值所有列表
     *
     * @param groupId
     * @param code
     * @return
     */
    public List<MeddleItem> getThresholdList(Long groupId, String code) {
        try {

            log.info("获取干预阀值 TodoInterveneRpc.getThresholdList 传入参数:{}{}", groupId, code);
            Message<List<MeddleItem>> message = interveneApi.getThresholdList(groupId, code);
            log.info("获取干预阀值 TodoInterveneRpc.getThresholdList 返回结果：{}", JSON.toJSONString(message));
            PublicUtil.assertTrue(message.isSuccess(), message.getResult());
            return message.getData();
        } catch (Exception e) {
            log.error("获取干预阀值异常 TodoInterveneRpc.getThresholdList" + e);
            throw e;
        }
    }
}
