package cn.fw.dalaran.server.controller.web.common;

import cn.fw.dalaran.domain.vo.common.PlatformTypeVo;
import cn.fw.dalaran.service.biz.common.CommonDataBizService;
import cn.fw.data.base.domain.common.Message;
import cn.fw.security.auth.client.annotation.Authorization;
import cn.fw.security.auth.client.annotation.IgnoreAuth;
import cn.fw.security.auth.client.enums.AuthType;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static cn.fw.common.web.util.ResultBuilder.success;

/**
 * 活动主题配置接口
 *
 * @author: lym
 * @date: 2023/4/25
 */
@Slf4j
@Validated
@IgnoreAuth
@RestController
@RequiredArgsConstructor
@Authorization(AuthType.ERP)
@RequestMapping("/common")
public class CommonController {
    private final CommonDataBizService commonDataBizService;

    /**
     * 获取平台类型枚举
     *
     * @return 平台类型枚举
     */
    @GetMapping("/platform/type")
    public Message<List<PlatformTypeVo>> getPlatformType() {
        return success(commonDataBizService.getPlatformType());
    }

}
