package cn.fw.dalaran.server.rocketMQ;

import cn.fw.dalaran.service.biz.account.AccountTaskBizService;
import cn.fw.ehr.sdk.api.mq.StaffPostChangeEvent;
import cn.fw.rocketmq.annotation.RocketListeners;
import cn.fw.rocketmq.annotation.RocketMQListener;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * 员工调岗消费
 * <p>
 * create at 2020-10-20
 *
 * @author xiatian
 */
@Slf4j
@RequiredArgsConstructor
@RocketListeners(topic = StaffPostChangeEvent.TOPIC, consumerGroup = "${spring.application.name}_" + StaffPostChangeEvent.TOPIC)
public class StaffChangePostConsumer {
    private final AccountTaskBizService accountTaskBizService;


    @RocketMQListener(messageClass = StaffPostChangeEvent.class)
    public void onMessage(StaffPostChangeEvent staffPostChangeEvent) {
        log.info("收到员工调岗MQ, staffPostChangeEvent:[{}]", staffPostChangeEvent);
        try {
            accountTaskBizService.handleStaffChangePost(staffPostChangeEvent);
        } catch (Exception e) {
            log.error("员工调岗MQ处理失败, staffPostChangeEvent:{}", staffPostChangeEvent, e);
            throw e;
        }
    }
}
