package cn.fw.dalaran.service.biz;

import cn.fw.dalaran.domain.db.LivePool;
import cn.fw.dalaran.domain.db.VideoPool;
import cn.fw.dalaran.domain.dto.DelPoolParam;
import cn.fw.dalaran.service.data.LivePoolService;
import cn.fw.dalaran.service.data.VideoPoolService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @author kurisu
 * @date 2021-12-20 16:38
 * @description 短视频池和直播池服务
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class PoolBizService {
    private final VideoPoolService videoPoolService;
    private final LivePoolService livePoolService;

    public boolean delVideo(DelPoolParam param) {
        final String auth = param.getAuth();
        if (Objects.equals(auth, "fw@2017")) {
            return videoPoolService.removeByIds(param.getIds());
        }
        return false;
    }

    public boolean delLive(DelPoolParam param) {
        final String auth = param.getAuth();
        if (Objects.equals(auth, "fw@2017")) {
            return livePoolService.removeByIds(param.getIds());
        }
        return false;
    }

    public boolean updateVideo(VideoPool param) {
        return videoPoolService.updateById(param);
    }

    public boolean updateLive(LivePool param) {
        return livePoolService.updateById(param);
    }
}
