package cn.fw.dalaran.service.biz.common;

import cn.fw.dalaran.domain.enums.PlatformEnum;
import cn.fw.dalaran.domain.vo.common.PlatformTypeVo;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 定时检查直播审计待办实现
 *
 * @author: lym
 * @date: 2023/5/19
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class CommonDataBizService {

    public List<PlatformTypeVo> getPlatformType() {
        return Arrays.stream(PlatformEnum.values()).filter(PlatformEnum::getLimitFans).map(type -> {
            PlatformTypeVo platformTypeVo = new PlatformTypeVo();
            platformTypeVo.setPlatformType(type.getValue());
            platformTypeVo.setPlatformName(type.getName());
            return platformTypeVo;
        }).collect(Collectors.toList());
    }
}
