package cn.fw.dalaran.service.data;

import cn.fw.dalaran.domain.db.Account;
import cn.fw.dalaran.domain.enums.PlatformEnum;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author kurisu
 * @date 2021-11-17 14:54
 * @description 账号service
 */
public interface AccountService extends IService<Account> {
    /**
     * 修改账户
     *
     * @param param 待修改字段值封装
     */
    boolean alertAccount(Account param);

    /**
     * 根据用户id获取账户
     *
     * @param userId 用户id
     * @return 对应账户
     */
    List<Account> getByUserId(Long userId);

    /**
     * 根据账户号获取账户列表(忽略逻辑删除)
     *
     * @param accountNo 账户号
     * @return 对应账户列表
     */
    List<Account> getByAccountNoIgnoreLogicDel(String accountNo);

    /**
     * 根据id获取账户(忽略逻辑删除)
     *
     * @param accountId 账户id
     * @return 对应账户
     */
    Account getByIdIgnoreLogicDel(Long accountId);

    /**
     * 根据ids获取账户列表(忽略逻辑删除)
     *
     * @param accountIds 账户ids
     * @return 对应账户列表
     */
    List<Account> getByIdsIgnoreLogicDel(List<Long> accountIds);

    /**
     * 获取账户列表(忽略逻辑删除)
     *
     * @return 对应账户列表
     */
    List<Account> getAllIgnoreLogicDel();

    List<Account> getByAccountNo(Long groupId, String account, PlatformEnum type);
}
