package cn.fw.dalaran.service.data;

import cn.fw.dalaran.domain.db.config.ActivityTheme;
import cn.fw.dalaran.domain.vo.ActivityThemeVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/1/8 17:28
 * @Description
 */
public interface ActivityThemeService extends IService<ActivityTheme> {

    /**
     * 验证门店是否重合
     *
     * @param shopIds1
     * @param shopIds2
     * @return
     */
    boolean validShopOverlap(List<Long> shopIds1, List<Long> shopIds2);

    /**
     * 验证主题是否结束数据抓取
     *
     * @param themeEndTime 主题结束时间
     * @param delayDays    延期天数
     * @return 主题是否结束数据抓取
     */
    boolean themeHaveStopCatchData(Date themeEndTime, int delayDays);

    /**
     * 查询集团话题列表
     *
     * @param groupId       集团id
     * @param configGroupId 所属配置组id
     * @return
     */
    List<ActivityThemeVo> list(Long groupId, Long configGroupId);

    /**
     * 获取已经逻辑删除的主题列表
     *
     * @return 已经逻辑删除的主题列表
     */
    List<ActivityTheme> getHasDelActivityTheme();

    /**
     * 获取还在进行中的活动主题列表
     *
     * @return 还在进行中的活动主题列表
     */
    List<ActivityTheme> getGoingActivityTheme();
}
