package cn.fw.dalaran.service.data.impl;

import cn.fw.dalaran.dao.config.ConfigGroupDao;
import cn.fw.dalaran.domain.db.config.ConfigGroup;
import cn.fw.dalaran.service.data.ConfigGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022-4-28 16:25:22
 * @Description 配置组业务
 */
@Service
@RequiredArgsConstructor
public class ConfigGroupServiceImpl extends ServiceImpl<ConfigGroupDao, ConfigGroup> implements ConfigGroupService {


//
//    /**
//     * 更新配置组
//     *
//     * @param userId 用户id
//     * @param param  参数封装
//     * @return
//     */
//    @Override
//    @Transactional(rollbackFor = Exception.class)
//    public boolean update(Long userId, ConfigGroupVo param) {
//        if (!Objects.equals(userId, param.getUserId()))
//            throw new BusinessException("不允许修改别人的配置组");
//        final Long configGroupId = param.getId();
//        List<ConfigGroup> list = this.lambdaQuery()
//                .eq(ConfigGroup::getGroupId, param.getGroupId())
//                .ne(ConfigGroup::getAllShop, -2)
//                .list();// 找到对应集团的所有生效的配置组
//        Integer allShop = param.getAllShop();
//        if (Objects.equals(allShop, 1)) {// 本次指定配置是否为全部门店
//            if (!list.isEmpty()) throw new BusinessException("该集团已存在门店配置, 新配置不能设置为[全部门店]");
//        } else if (list.stream().anyMatch(item -> Objects.equals(item.getAllShop(), 1))) {// 已存在的配置组是否有全部门店的
//            throw new BusinessException("该集团已存在[全部门店]配置, 新配置不能生效");
//        } else {
//            List<Long> shopIds = param.getShopIds();// 本次配置指定生效门店
//            List<String> shopNames = param.getShopNames();// 本次配置指定生效门店
//            if (Objects.equals(allShop, -1)) {// 指定为授权门店
//                List<ShopMsg> userRoleRange = userRoleRpcService.getUserRoleRange(param.getUserId(), Constants.ZBSZ_ROLE_CODE);// 查询用户角色授权范围
//                shopIds.clear();
//                shopNames.clear();
//                for (ShopMsg shopMsg : userRoleRange) {
//                    shopIds.add(shopMsg.getShopId());
//                    shopNames.add(shopMsg.getShopName());
//                }
//                param.setShopIds(shopIds);
//                param.setShopNames(shopNames);
//            }
//            if (list.stream()
//                    .anyMatch(item -> !Objects.equals(item.getId(), param.getId()) &&
//                            CollectionUtils.containsAny(
//                                    Arrays.stream(item.getShopIds().split(","))
//                                            .map(Long::valueOf)
//                                            .collect(Collectors.toList()),
//                                    shopIds
//                            )// 除开自己本身, 任何一个配置门店信息和本次指定的门店有重合, 本次修改都不能生效
//                    )
//            ) throw new BusinessException("本次指定门店和集团已有配置门店重合, 修改失败");
//            final Date yesterday = new Date(System.currentTimeMillis() - 24 * 3600 * 1000L);
//            final String validConfigJson = activityThemeService.getValidConfigJson(configGroupId);
//            activityThemeService.lambdaUpdate()
//                    .set(!CollectionUtils.isEmpty(shopIds), ActivityTheme::getShopIds, this.processJsonString(JSON.toJSONString(shopIds)))
//                    .set(!CollectionUtils.isEmpty(shopNames), ActivityTheme::getShopNames, this.processJsonString(JSON.toJSONString(shopNames)))
//                    .set(Objects.nonNull(allShop), ActivityTheme::getAllShop, allShop)
//                    .set(ActivityTheme::getValidConfigJson, validConfigJson)
//                    .eq(ActivityTheme::getConfigGroupId, configGroupId)
//                    .and(wrapper -> wrapper
//                            .lt(ActivityTheme::getStartTime, yesterday)
//                            .gt(ActivityTheme::getEndTime, yesterday)
//                            .or()
//                            .gt(ActivityTheme::getStartTime, yesterday)
//                    )
//                    .update();// 更新配置组下面的主题
//        }
//        ConfigGroup db = new ConfigGroup();
//        BeanUtils.copyProperties(param, db);
//        if (!Objects.equals(allShop, 1)) {
//            final List<Long> shopIds = param.getShopIds();
//            if (!CollectionUtils.isEmpty(shopIds))
//                db.setShopIds(this.processJsonString(JSON.toJSONString(shopIds)));
//            final List<String> shopNames = param.getShopNames();
//            if (!CollectionUtils.isEmpty(shopNames))
//                db.setShopNames(this.processJsonString(JSON.toJSONString(shopNames)));
//        }
//        this.updateById(db);// 更新配置组
//        List<EvlIndexVo> videoAndLive = param.getVideoAndLiveEvlIndex();// 父指标
//        if (!CollectionUtils.isEmpty(videoAndLive)) {
//            evlSettingService.saveEvlIndex(videoAndLive.stream()
//                    .map(EvlIndexVo::toIndex)
//                    .collect(Collectors.toList()));
//        }
//        List<EvlSubIndexVo> videoEvlSubIndexConfigs = param.getVideoEvlSubIndexConfigs();// 子指标(视频)
//        if (!CollectionUtils.isEmpty(videoEvlSubIndexConfigs)) {
//            evlSettingService.saveEvlSubIndex(videoEvlSubIndexConfigs.stream()
//                    .map(EvlSubIndexVo::toIndex)
//                    .collect(Collectors.toList()));
//        }
//        List<EvlSubIndexVo> liveEvlSubIndexConfigs = param.getLiveEvlSubIndexConfigs();// 子指标(直播)
//        if (!CollectionUtils.isEmpty(liveEvlSubIndexConfigs)) {
//            evlSettingService.saveEvlSubIndex(liveEvlSubIndexConfigs.stream()
//                    .map(EvlSubIndexVo::toIndex)
//                    .collect(Collectors.toList()));
//        }
//        List<ValidConfigNewVo.singleVo> videoValidConfigs = param.getVideoValidConfigs();// 有效性配置(视频)
//        if (!CollectionUtils.isEmpty(videoValidConfigs)) {
//            validConfigNewService.updateConfig(videoValidConfigs);
//        }
//        List<ValidConfigNewVo.singleVo> liveValidConfigs = param.getLiveValidConfigs();// 有效性配置(直播)
//        if (!CollectionUtils.isEmpty(liveValidConfigs)) {
//            validConfigNewService.updateConfig(liveValidConfigs);
//        }
//        List<GlobalConfig.GlobalConfigVo> globalConfigs = param.getGlobalConfigs();
//        if (!CollectionUtils.isEmpty(globalConfigs)) {
//            globalConfigService.updateConfig(globalConfigs);
//        }
//        return true;
//    }


}
