package example;

import javax.swing.*;
import javax.swing.filechooser.FileSystemView;
import java.awt.*;
import java.awt.event.ActionListener;
import java.io.File;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/5/9 19:06
 * @Description 图片对比
 */
public class ImagePad extends JFrame {

    public ImagePad() throws Exception {
    }

    public ImagePad(ImageListener imageListener, String titleExt) throws Exception {
        setTitle("图片相似度判别" + titleExt);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(1319, 900);
        setLocationRelativeTo(null);
        setLayout(new FlowLayout());
        this.addButton(this, imageListener);
        setVisible(true);
        imageListener.setGraphics(this.getGraphics());
    }

    public void addButton(JFrame jf, ActionListener al) {
        Dimension dimension = new Dimension(120, 40);
        String[] btnArr = new String[]{"加载图片", "开始匹配"};
        for (String s : btnArr) {
            JButton btn = new JButton(s);
            btn.setBackground(Color.WHITE);
            btn.setPreferredSize(dimension);
            btn.addActionListener(al);
            jf.add(btn);
        }
    }

    public static void main(String[] args) throws Exception {
        File desktopDir = FileSystemView.getFileSystemView().getHomeDirectory();
        String image1Url = "https://feewee-1255997270.cos.ap-chengdu.myqcloud.com/fw_fds_file/media-theme-settings/admin1698829176615_%E5%8F%8C%E8%BD%A6%E5%9B%BE.jpg";
        String image2Url = "https://p1.a.yximgs.com/upic/2023/11/04/15/BMjAyMzExMDQxNTI1MTVfMjQzOTI0NzE5NF8xMTY0MzQ5ODg0MjZfMl8z_Bddd0b96e3fe93a09408510417e7690c5.jpg?tag=1-1699245209-nil-0-ib4wubj4kg-52d511c2fb807180&clientCacheKey=3xunqyk5hi6bsck.jpg&di=ddc721aa&bp=10000";
        File file1 = new File("D:\\Users\\wmy\\Nox_share\\ImageShare\\1688982873742867432.jpg");
        File file2 = new File("D:\\Users\\wmy\\Nox_share\\ImageShare\\1688982873742867432.jpg");
        String outputDir = desktopDir.getAbsolutePath();
        Integer width = 512;
        Integer height = 512;
        new ImagePad(new ImageListener(image1Url, image2Url, outputDir, width, height), "(网络图+网路图)");
        //new ImagePad(new ImageListener(image1Url, file1, outputDir, width, height), "(网络图+本地图)");
        //new ImagePad(new ImageListener(file1, file2, outputDir, width, height), "(本地图+本地图)");
    }
}
